Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001515 [Piwigo] navigation feature N/A 2010.03.17 22:48 2010.04.14 17:16
Reporter plg View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.1.0RC1 Product Version
  Target Version 2.1.0RC1 Product Build
Summary 0001515: new organization for administration menu, plugins at root level
Description The administration menu needs some changes. After the removal of the "links" section, here comes some changes:

* plugins must be a root section
* configuration must be at the end
* "Identification" isn't meaningful enough, let's have "users" instead
* "Specials" must die, better call it "tools"
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0003544)
svn (reporter)
2010.03.17 22:57

[Subversion] r5170 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1515: new organization for menu. Photos, Categories, Users, Plugins,
Tools, Configuration.

menubar bottom is ugly with the roma theme, it needs a fix.
(0003545)
svn (reporter)
2010.03.17 23:40

[Subversion] r5171 by Gotcha on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1515: correct border-bottom in admin menubar.
475px => 522px
(0003546)
svn (reporter)
2010.03.18 00:50

[Subversion] r5173 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1515: the new admin menu organization implies to tell the accordion
menu which section to open on page load.

I've moved the single function in functions_themes.inc.php to function.php to
avoid misunderstanding with theme manager.

Ability to preset the active menu (in the future, a plugin may add its admin
page anywhere in the menu, this features needs other change to be possible)

- Issue History
Date Modified Username Field Change
2010.03.17 22:48 plg New Issue
2010.03.17 22:48 plg Status new => assigned
2010.03.17 22:48 plg Assigned To => plg
2010.03.17 22:48 plg browser => any
2010.03.17 22:48 plg Web server => Apache 1.3.x
2010.03.17 22:57 svn Checkin
2010.03.17 22:57 svn Note Added: 0003544
2010.03.17 23:40 svn Checkin
2010.03.17 23:40 svn Note Added: 0003545
2010.03.18 00:50 svn Checkin
2010.03.18 00:50 svn Note Added: 0003546
2010.04.14 17:16 plg Status assigned => closed
2010.04.14 17:16 plg Resolution open => fixed
2010.04.14 17:16 plg Fixed in Version => 2.1.0RC1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker